
Hammer CLI - Feature #3651

Provide a way of listing possible compute attribute values

11/14/2013 02:54 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i-foreman/pull/386

Red Hat JIRA:  

Team Backlog:    

Description

CLI does not provide any way how to list possible values of compute attributes such as flavors and available zones in case of ec2.

When creating a new host via the CLI the only way how to find possible values is to go to the ui and check it there. It would be handy

to offer the information directly in the cli.

Related issues:

Related to Hammer CLI - Tracker #16829: Tracker for compute resource related ... Closed

Blocked by Foreman - Feature #3650: Listing possible values of compute attrib... Closed 11/14/2013

Associated revisions

Revision 5d1042b3 - 10/23/2018 09:51 PM - Oleh Fedorenko

Fixes #3651 - Provides a way of listing compute attribute values

History

#1 - 11/14/2013 02:57 PM - Dominic Cleal

- Blocked by Feature #3650: Listing possible values of compute attributes added

#2 - 10/07/2016 05:02 AM - Tomáš Strachota

- Category changed from Foreman commands (obsolete) to Compute resources

#3 - 10/07/2016 05:03 AM - Tomáš Strachota

- Related to Tracker #16829: Tracker for compute resource related issues added

#4 - 09/12/2018 05:11 PM - Oleh Fedorenko

- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

#5 - 09/13/2018 11:23 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/386 added

#6 - 10/23/2018 10:01 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-foreman|5d1042b39bfcd742b890be774c0586835c73919a.
